Doomsday Engine - Bug #968

[Doom] Mancubus attacks and high Z height differences
2011-09-12 12:32 - vermil

Status: New Start date: 2011-09-12
Priority: Normal % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Vanilla / Gameplay

Description

If a Mancubus target's something a fairly sharp distance below him, only the straight forward firing missiles are aimed at the correct Z
angle. The non straight forward firing missiles are aimed increasingly off the sharper the angle downward toward the target.

This bug is present in both 1.8.6, 1.9 beta 6.9 and MP unstable builds.

The attached screenshot, though not overly well, shows the straight forward firing Mancubus missile correctly being aimed at me, but
the sideways firing missile is almost not being aimed downward at tall.

Labels: Doom

History

#1 - 2011-09-12 12:15 - vermil

Attachments:

#2 - 2011-09-12 12:33 - vermil

I'll throw in that this a Dday specific bug; in Vanilla (and other ports) both missiles are aimed at the correct Z angle.
#3 - 2012-04-27 11:01 - vermil

Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/1d34da24/8bee/attachment/MancubusTest.wad

#4 - 2012-05-10 07:14 - vermil

Uploaded a small example wad that shows this behaviour; might have to shoot the Mancubus to overrule the reaction time though.

The incorrect angling is easiest to see the moment the Mancubus spawns the projectiles, due to the fireball sprites falling prey to this visual glitch as
they go above the player: http://sourceforge.net/tracker/index.php?func=detail&aid=3408036&group_id=74815&atid=542099

#5 - 2012-05-10 07:16 - danij

- labels: jDoom Gameplay --> Doom

#6 - 2013-10-22 19:56 - skyjake
- Tags set to Doom, PlaySim, Physics
- Category set to Vanilla emulation

- Target version deleted (1.9.0-beta6)

#7 - 2014-12-04 13:46 - vermil
- File Vanilla.png added
- File Dday.png added

| attach a pair of images, one from Vanilla Doom and one from Dday showing the discrepancy. Both attempted to replicate the same situation using
my above test wad; | faced the wall and listened for the sound of the Mancubus preparing to fire and then back peddled so | could see where his
fireballs hit the wall.

In Vanilla Doom, the fireballs land approximately horizontally in line (there is a tiny tiny height difference), but in Dday, the fireballs land at completely
http://sourceforge.net/p/deng/bugs/_discuss/thread/1d34da24/fc9e/attachment/doom2-004.jpg
http://sourceforge.net/p/deng/bugs/_discuss/thread/1d34da24/8bee/attachment/MancubusTest.wad
http://sourceforge.net/tracker/index.php?func=detail&aid=3408036&group_id=74815&atid=542099

different heights (the non-straight forward firing missile lands practically off the top of the screen).

#8 - 2017-04-03 15:01 - skyjake

- Target version set to Modding

#9 - 2017-04-03 18:34 - skyjake

- Target version changed from Modding to Vanilla/ Gameplay

Files

Vanilla.png 17.7 KB 2014-12-04 vermil

Dday.png 1.59 MB 2014-12-04 vermil
